package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBLimits entity.
 */
public class TBLimitsDTO implements Serializable {

    private Long id;

    private Double upperLimit;

    private Double lowerLimit;

    private Long tbGuidelineDetailsId;

    private Long tbObjectParameterId;

    private Long tbEnvironmentalParameterId;

    private String environmentName;

    private String environmentUnit;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getUpperLimit() {
        return upperLimit;
    }

    public void setUpperLimit(Double upperLimit) {
        this.upperLimit = upperLimit;
    }

    public Double getLowerLimit() {
        return lowerLimit;
    }

    public void setLowerLimit(Double lowerLimit) {
        this.lowerLimit = lowerLimit;
    }

    public Long getTbGuidelineDetailsId() {
        return tbGuidelineDetailsId;
    }

    public void setTbGuidelineDetailsId(Long tBGuidelineDetailsId) {
        this.tbGuidelineDetailsId = tBGuidelineDetailsId;
    }

    public Long getTbObjectParameterId() {
        return tbObjectParameterId;
    }

    public void setTbObjectParameterId(Long tBObjectParameterId) {
        this.tbObjectParameterId = tBObjectParameterId;
    }

    public Long getTbEnvironmentalParameterId() {
        return tbEnvironmentalParameterId;
    }

    public void setTbEnvironmentalParameterId(Long tBEnvironmentalParameterId) {
        this.tbEnvironmentalParameterId = tBEnvironmentalParameterId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBLimitsDTO tBLimitsDTO = (TBLimitsDTO) o;
        if (tBLimitsDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBLimitsDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBLimitsDTO{" +
            "id=" + getId() +
            ", upperLimit=" + getUpperLimit() +
            ", lowerLimit=" + getLowerLimit() +
            ", tbGuidelineDetails=" + getTbGuidelineDetailsId() +
            ", tbObjectParameter=" + getTbObjectParameterId() +
            ", tbEnvironmentalParameter=" + getTbEnvironmentalParameterId() +
            "}";
    }

    public String getEnvironmentName() {
        return environmentName;
    }

    public void setEnvironmentName(String environmentName) {
        this.environmentName = environmentName;
    }

    public String getEnvironmentUnit() {
        return environmentUnit;
    }

    public void setEnvironmentUnit(String environmentUnit) {
        this.environmentUnit = environmentUnit;
    }
}
